# MapEntry

Helper class, holds the nested &lt;map&gt; values. Elements will look like this: &lt;map from=&quot;d:&quot; to=&quot;/foo&quot;/&gt;

When running on windows, the prefix comparison will be case insensitive.

package | phing

### Methods

## __construct

    __construct(\PathConvert $outer)

### Arguments

#### $outer

`\PathConvert`

## Apply this map entry to a given path element

    apply(string $elem) : string

throws |

### Arguments

#### $elem

`string`

Path element to process

### Response

`string`

Updated path element after mapping

## the prefix string to search for; required.

    setFrom( $from)

Note that this value is case-insensitive when the build is running on a Windows platform and case-sensitive when running on a Unix platform.

### Arguments

#### $from

``

## setTo

    setTo( $to)

### Arguments

#### $to

``

### Properties

## outer

    outer : \PathConvert

var |

### Type(s)

`\PathConvert`